import 'package:elevarm_ui/elevarm_ui.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

/// App's standardized icon widget.
class ElevarmIcon extends StatelessWidget {
  /// SVG asset name.
  final String assetName;

  /// Icon width.
  final double width;

  /// Icon height.
  final double height;

  /// Icon SVG fill color.
  final Color color;

  /// Icon BoxFit.
  final BoxFit fit;

  const ElevarmIcon(
    this.assetName, {
    super.key,
    this.width = 20.0,
    this.height = 20.0,
    this.color = ElevarmColors.grey700,
    this.fit = BoxFit.scaleDown,
  });

  @override
  Widget build(BuildContext context) {
    return SvgPicture.asset(
      assetName,
      width: width,
      height: height,
      color: color,
      fit: fit,
    );
  }
}
