import 'package:elevarm_ui/elevarm_ui.dart';
import 'package:flutter/cupertino.dart';

/// Elevarm UI's text input field label.
///
/// This component was made as label for [inputField].
class ElevarmInputFieldLabel extends StatelessWidget {
  /// The label above the input field.
  final String label;

  /// Whether the field is required or not.
  final bool isRequired;

  const ElevarmInputFieldLabel(
      {Key? key, required this.label, required this.isRequired})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Row(
          children: [
            Text(
              label,
              style: ElevarmFontFamilies.inter(
                color: ElevarmColors.neutral,
                fontSize: ElevarmFontSizes.sm,
                fontWeight: ElevarmFontWeights.medium,
              ),
            ),
            isRequired
                ? Text(
                    '*',
                    style: ElevarmFontFamilies.inter(
                      color: ElevarmColors.danger,
                      fontSize: ElevarmFontSizes.sm,
                      fontWeight: ElevarmFontWeights.medium,
                    ),
                  )
                : Container(),
          ],
        ),
        const SizedBox(height: 6.0),
      ],
    );
  }
}
